Steam for Linux > Limited Beta > Topic Details
adiv.paradise Dec 7, 2012 @ 8:23pm
Issue Report: TF2 fails to launch, possibly due to some X error
When trying to open TF2, upon reaching hl2.sh, the game load sequence crashed. Running hl2.sh in the terminal, I get the following:
SDL video target is 'x11'
SDL video target is 'x11'
This system supports the OpenGL extension GL_EXT_framebuffer_object.
This system supports the OpenGL extension GL_EXT_framebuffer_blit.
This system supports the OpenGL extension GL_EXT_framebuffer_multisample.
This system DOES NOT support the OpenGL extension GL_APPLE_fence.
This system DOES NOT support the OpenGL extension GL_NV_fence.
This system supports the OpenGL extension GL_ARB_sync.
This system supports the OpenGL extension GL_EXT_draw_buffers2.
This system DOES NOT support the OpenGL extension GL_EXT_bindable_uniform.
This system DOES NOT support the OpenGL extension GL_APPLE_flush_buffer_range.
This system supports the OpenGL extension GL_ARB_map_buffer_range.
This system supports the OpenGL extension GL_ARB_vertex_buffer_object.
This system supports the OpenGL extension GL_ARB_occlusion_query.
This system DOES NOT support the OpenGL extension GL_APPLE_texture_range.
This system DOES NOT support the OpenGL extension GL_APPLE_client_storage.
This system DOES NOT support the OpenGL extension GL_ARB_uniform_buffer.
This system supports the OpenGL extension GL_ARB_vertex_array_bgra.
This system supports the OpenGL extension GL_EXT_vertex_array_bgra.
This system supports the OpenGL extension GL_ARB_framebuffer_object.
This system DOES NOT support the OpenGL extension GL_GREMEDY_string_marker.
This system DOES NOT support the OpenGL extension GL_ARB_debug_output.
This system DOES NOT support the OpenGL extension GL_EXT_direct_state_access.
This system DOES NOT support the OpenGL extension GL_NV_bindless_texture.
This system DOES NOT support the OpenGL extension GL_AMD_pinned_memory.
This system DOES NOT support the OpenGL extension GL_EXT_framebuffer_multisample_blit_scaled.
This system supports the OpenGL extension GL_EXT_texture_sRGB_decode.
This system DOES NOT support the OpenGL extension GL_NVX_gpu_memory_info.
This system DOES NOT support the OpenGL extension GL_ATI_meminfo.
This system DOES NOT support the OpenGL extension GL_EXT_texture_compression_s3tc.
This system DOES NOT support the OpenGL extension GLX_EXT_swap_control_tear.
GL_NV_bindless_texture: DISABLED
GL_AMD_pinned_memory: DISABLED
GL_EXT_texture_sRGB_decode: AVAILABLE
Required OpenGL extension "GL_EXT_texture_compression_s3tc" is not supported. Please install S3TC texture support.
X Error of failed request: BadName (named color or font does not exist)
Major opcode of failed request: 45 (X_OpenFont)
Serial number of failed request: 7
Current serial number in output stream: 8

I'm running Bodhi Linux 2.1.0, which is Ubuntu 12.04 LTS with the E17 desktop and without some of the fluff software Canonical includes. Bodhi runs the same version of X11 that Ubuntu does, for the most part. If not, then the version Bodhi runs is newer.

This is a Sony VAIO with 4 Gb RAM, an Athlon II P360 Dual-Core 2.3 GHz processor, and an ATI Radeon HD 4200 gpu.
Showing 1-3 of 3 comments
< >
acidrain Dec 8, 2012 @ 12:01am 
Did you see that message before X error?
>Required OpenGL extension "GL_EXT_texture_compression_s3tc" is not supported. Please install S3TC texture support.

You have to update your video driver, because there's no support of OpenGL extension Source engine needs
Esophagus Now Dec 10, 2012 @ 6:47am 
Also, cd to ~/.local/share/Steam/SteamApps/yourusername/Team\ Fortress\ 2/ andtry running ./hl2.sh -game tf
Frogmorton Dec 19, 2012 @ 10:57pm 
"Please install S3TC texture support."
Could somebody please explain this comment?
The open source drivers and the proprietary legacy (12.6) drivers for radeon cards do not provide this. Is there a package we can install which does?
Showing 1-3 of 3 comments
< >
Per page: 15 30 50